import { AxiosInstance } from 'axios';
import { CrudElType } from '../../vite-env';
/** 组件配置类 */
export declare class ComponentConfig {
    /** 调试模式 @default false */
    debug: boolean;
    /** 请求对象配置 @default axios.create() */
    axiosService: AxiosInstance;
    /** 数据加载完成后是否立即查询 */
    isAfterMountQuery: boolean;
    /** Props的参数 */
    PropsStore: CrudElType.PropsType;
    /** source数据元素拆分 */
    ElementArrs: {
        filter: Record<string, CrudElType.columnsItemType>;
        editor: Record<string, CrudElType.columnsItemType>;
        column: Record<string, CrudElType.columnsItemType>;
        expand: Record<string, CrudElType.columnsItemType>;
        columns: Record<string, CrudElType.columnsItemType>;
    };
    /** 初始化搜索表单的值 */
    initSearchModel: Record<string, any>;
    /** 初始化编辑表单的值 */
    initEditModel: Record<string, any>;
    /** 要展示的表格列 */
    tableColumn: CrudElType.columnsType;
    /** 搜索/新增/编辑的表单状态 */
    FormStore: {
        isShowSearchForm: boolean;
        isLoading: boolean;
        labelWidth: number;
        drawerSize: number;
    };
    /** Table区域的状态 */
    TableStore: {
        tableHeight: number;
        isOpenMultipleSelection: boolean;
        isOpenExpand: boolean;
        expandColumn: number;
        isOpenIndex: boolean;
        isShowMenu: boolean;
        menuAlign: string;
        menuWidth: number;
        loading: boolean;
    };
    /** 页码状态存储 */
    PageStore: {
        current: number;
        pageSize: number;
        total: number;
        pageSizes: number[];
        layout: string;
        isHideOnSinglePage: boolean;
    };
    /** 权限字段映射[显示状态控制]（Crud的按钮权限 与 使用时传入的已拥有的权限 做比较） */
    PermissionNames: {
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
    };
    /** 拥有的权限 */
    Permissions: string[];
    /** API接口路由名称 */
    ApiRouteNames: {
        query: string;
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
    };
    /** 根据BaseUrl、ApiEndpoints生成的具体接口 */
    ApiNames: {
        query: string;
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
    };
    constructor(InitConfig: Partial<ComponentConfig>, props: ComponentConfig['PropsStore']);
    /** 初始化接口全称 */
    private InitApiNames;
    /** 初始化表单配置参数 */
    private InitElementArrs;
}
