import { ComponentConfig, DataStorage, CrudFunction } from './index';
export declare class CrudContext {
    private static instance;
    /** 组件配置 */
    componentConfig: ComponentConfig;
    /** 数据存储 */
    dataStorage: DataStorage;
    /** 方法 */
    crudFunction: CrudFunction;
    /** 存储注册组件时，传入的配置对象 */
    InitConfig: Partial<ComponentConfig>;
    /** 组件注册时，使用传入的 Config全局配置 进行初始化 */
    static InitGlobalConfig: (config: Partial<ComponentConfig>) => void;
    private constructor();
    /** 获取实例容器 */
    static getCrudCtx(): CrudContext;
    /**
     * 根据每个页面的Props进行初始化所有参数
     * @param props 组件Props
     */
    InitializationProps(props: ComponentConfig['PropsStore']): void;
    /**
     * 初始化操作函数，根据props创建新的CrudFunction实例
     * @param extendedMethods 扩展CrudFunction的方法包含重写方法的对象
     */
    InitFunction(extendedMethods: Partial<CrudFunction>): void;
    /** Debug方法 */
    CrudDebug(...params: any[]): void;
}
