import { AxiosRequestConfig } from 'axios';
import { FormInstance } from 'element-plus';
import { CrudContext } from './index';
import { Ref } from 'vue';
import { CrudElType } from '../../vite-env';
/** 全局配置类 */
export declare class CrudFunction {
    /** 请求方法 */
    protected request: <T>(config: AxiosRequestConfig) => Promise<T>;
    /** 初始化 */
    constructor();
    /** 获取容器实例 */
    protected CrudCtx: () => CrudContext;
    /** 查询之前，从dataStorage中取出数据，处理成接口所需要的属性，并返回出来 */
    beforeQueryHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean | Record<string, any>;
    query: () => void;
    /** 查询之后 */
    afterQueryHandler: (ResData: CrudElType.ResData<Record<string, any>>) => void;
    /** 新增之前 */
    beforeAddHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean;
    add: () => void;
    /** 新增之后 */
    afterAddHandler: () => void;
    /** 编辑之前 */
    beforeEditHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean;
    edit: (row: Record<string, any>) => void;
    /** 编辑之后 */
    afterEditHandler: () => void;
    /** 删除之前 */
    beforeRemoveHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean | Record<string, any>;
    remove: (row: Record<string, any>) => void;
    /** 删除之后 */
    afterRemoveHandler: (ResData: CrudElType.Res) => void;
    /** 标记删除之前 */
    beforeDeleteFlagHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean | Record<string, any>;
    deleteFlag: (row: Record<string, any>) => void;
    /** 标记删除之后 */
    afterDeleteFlagHandler: (ResData: CrudElType.Res) => void;
    /** 处理新增/编辑提交事件 */
    handleSubmit: (formEl: FormInstance | undefined) => Promise<void>;
    /** 新增请求发起之前 */
    beforeHandleAddHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean | Record<string, any>;
    handleAdd: () => void;
    /** 新增请求发起之后 */
    afterHandleAddHandler: (ResData: CrudElType.Res) => void;
    /** 编辑请求发起之前 */
    beforeHandleEditHandler: ({ CrudCtx, Data }: {
        CrudCtx: CrudContext;
        Data: Record<string, any>;
    }) => boolean | Record<string, any>;
    /** 处理表单编辑动作 */
    handleEdit: () => void;
    /** 编辑请求发起之后 */
    afterHandleEditHandler: (ResData: CrudElType.Res) => void;
    /** 处理新增/编辑重置事件 */
    resetForm: (Mode: string, formEl: Ref<any>) => void;
    /** 处理新增/编辑取消事件 */
    cancelForm: () => void;
}
