import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType as __PropType } from 'vue';
import { CrudContext, CrudFunction } from '../core';
import { CrudElType } from '../../vite-env';
import { AxiosInstance } from 'axios';
declare const _sfc_main: DefineComponent<{
    url: {
        type: __PropType<string>;
        required: true;
    };
    source: {
        type: __PropType<CrudElType.SourceType>;
        required: true;
    };
    rowKey: {
        type: __PropType<string | undefined>;
        required: false;
    };
    rowKeys: {
        type: __PropType<string[] | undefined>;
        required: false;
    };
    keyName: {
        type: __PropType<string | undefined>;
        required: false;
    };
    hooks: {
        type: __PropType<Partial<CrudFunction> | undefined>;
        required: false;
    };
    debug: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    axiosService: {
        type: __PropType<AxiosInstance | undefined>;
        required: false;
    };
    isAfterMountQuery: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    FormStore: {
        type: __PropType<{
            isShowSearchForm: boolean;
            isLoading: boolean;
            labelWidth: number;
            drawerSize: number;
        } | undefined>;
        required: false;
    };
    TableStore: {
        type: __PropType<{
            tableHeight: number;
            isOpenMultipleSelection: boolean;
            isOpenExpand: boolean;
            expandColumn: number;
            isOpenIndex: boolean;
            isShowMenu: boolean;
            menuAlign: string;
            menuWidth: number;
            loading: boolean;
        } | undefined>;
        required: false;
    };
    PageStore: {
        type: __PropType<{
            current: number;
            pageSize: number;
            total: number;
            pageSizes: number[];
            layout: string;
            isHideOnSinglePage: boolean;
        } | undefined>;
        required: false;
    };
    PermissionNames: {
        type: __PropType<{
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
    Permissions: {
        type: __PropType<string[] | undefined>;
        required: false;
    };
    ApiRouteNames: {
        type: __PropType<{
            query: string;
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
    ApiNames: {
        type: __PropType<{
            query: string;
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
}, {
    CrudCtx: CrudContext;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "row-contextmenu"[], "row-contextmenu", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    url: {
        type: __PropType<string>;
        required: true;
    };
    source: {
        type: __PropType<CrudElType.SourceType>;
        required: true;
    };
    rowKey: {
        type: __PropType<string | undefined>;
        required: false;
    };
    rowKeys: {
        type: __PropType<string[] | undefined>;
        required: false;
    };
    keyName: {
        type: __PropType<string | undefined>;
        required: false;
    };
    hooks: {
        type: __PropType<Partial<CrudFunction> | undefined>;
        required: false;
    };
    debug: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    axiosService: {
        type: __PropType<AxiosInstance | undefined>;
        required: false;
    };
    isAfterMountQuery: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    FormStore: {
        type: __PropType<{
            isShowSearchForm: boolean;
            isLoading: boolean;
            labelWidth: number;
            drawerSize: number;
        } | undefined>;
        required: false;
    };
    TableStore: {
        type: __PropType<{
            tableHeight: number;
            isOpenMultipleSelection: boolean;
            isOpenExpand: boolean;
            expandColumn: number;
            isOpenIndex: boolean;
            isShowMenu: boolean;
            menuAlign: string;
            menuWidth: number;
            loading: boolean;
        } | undefined>;
        required: false;
    };
    PageStore: {
        type: __PropType<{
            current: number;
            pageSize: number;
            total: number;
            pageSizes: number[];
            layout: string;
            isHideOnSinglePage: boolean;
        } | undefined>;
        required: false;
    };
    PermissionNames: {
        type: __PropType<{
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
    Permissions: {
        type: __PropType<string[] | undefined>;
        required: false;
    };
    ApiRouteNames: {
        type: __PropType<{
            query: string;
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
    ApiNames: {
        type: __PropType<{
            query: string;
            add: string;
            edit: string;
            delete: string;
            deleteFlag: string;
        } | undefined>;
        required: false;
    };
}>> & {
    "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
}, {}>;
export default _sfc_main;
