import { reactive, ref } from 'vue'

import { ComponentConfig } from './index'

/** 组件数据存储类 */
export class DataStorage {
    CrudRef = {
        SearchFormRef: ref(),
        EditFormRef: ref()
    }

    /** 路由传参的值 */
    searchFormValue: Record<string, any> = reactive({})
    /** 搜索表单的值 */
    searchModel: Record<string, any> = reactive({})

    /** 原始编辑表单的值 */
    editFormValue: Record<string, any> = reactive({})
    /** 编辑表单的值 */
    editModel: Record<string, any> = reactive({})

    /** 表格的数据 */
    tableData = ref<Record<string, any>[]>([])
    /**存储原始数据 */
    originalData = ref<Record<string, any>[]>([])

    /** 抽屉操作模式：add、edit */
    Mode = ref('')
    /** 抽屉显示状态 */
    drawerVisible = ref(false)

    /** 多选选中的数据 */
    multipleSelection = ref<Record<string, any>[]>([])
    /**上传的文件暂存 */
    uploadFiles = ref<Record<string, any>[]>([])

    constructor(componentConfig: ComponentConfig) {
        this.tableData.value = [
            {
                userId: 1,
                recId: 2,
                input: '输入',
                numberInput: 3.5,
                radio: 1,
                select: 2,
                time: '18:00:59'
            }
        ]

        Object.assign(this.searchModel, componentConfig.initSearchModel)
        Object.assign(this.editModel, componentConfig.initEditModel)
    }
}
