import { createApp } from 'vue'
import App from './App.vue'
import './style.scss'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
// 蚂蚁组件库
// import Antd from 'ant-design-vue'
// import 'ant-design-vue/dist/antd.css'

import CrudEl from '../index'

import plugin from './plugin'
// 注册svg图标
import 'virtual:svg-icons-register'

import axios from 'axios'

const app = createApp(App)

app.use(ElementPlus)
// app.use(Antd)
app.use(plugin)

app.use(CrudEl, {
    debug: true,
    axiosService: axios.create()
})

app.mount('#app')
