import { App, createVNode } from 'vue'

import SvgIcon from './SvgIcon/index.vue'
const SvgComponents = import.meta.glob('@/assets/svg/*.svg')

export default (app: App) => {
    app.component('SvgIcon', SvgIcon)

    // 循环注册每一个svg
    for (let component in SvgComponents) {
        const name = component.slice(16, component.indexOf('.svg'))
        app.component(name, createVNode(SvgIcon, { name: name }))
    }
}
