import { App, Plugin } from 'vue'

import CrudEl from './CrudEl/src/index.vue'
import { CrudContext, ComponentConfig, DataStorage, CrudFunction } from './CrudEl/core'
import { Auth } from './CrudEl/core/Auth'

// 导入自定义组件
import Components from './Components'

export { CrudContext, ComponentConfig, DataStorage, CrudFunction }

export default {
    install: (app: App, config: Partial<ComponentConfig>) => {
        app.component(CrudEl.name, CrudEl)
        app.directive('Auth', Auth)

        // 使用命名空间注册所有组件
        Object.values(Components).forEach((comp) => {
            app.component(comp.name, comp)
        })

        if (!config.axiosService) {
            console.error('未传入axios.create()可能会导致请求出现错误')
        }

        CrudContext.InitGlobalConfig(config)
    }
} as Plugin
